View Issue Details

IDProjectCategoryView StatusLast Update
0006484Talermechant backendpublic2020-10-03 14:10
ReporterFlorian Dold Assigned ToFlorian Dold  
PrioritynormalSeverityminorReproducibilityhave not tried
Status resolvedResolutionfixed 
Target Version0.8Fixed in Version0.8 
Summary0006484: wallet integrationtest 'test-paywall-flow' not passing because of merchant backend
DescriptionThe merchant gives 404 for the public order status, when the order is clearly present.

Here is a part of the logs (note how the earlier log line contradicts the later one):

Aug 14 17:37:46-646453 taler-merchant-httpd-2120571(56JVV9VRMFR317X5NQ0SGW1C9R) INFO Order `2020.227-02819GC5925E0' (2S960C36) was fully paid
Aug 14 17:37:46-648722 taler-merchant-httpd-2120571(56JVV9VRMFR317X5NQ0SGW1C9R) INFO Finished handling request for `/orders/2020.227-02819GC5925E0/pay' with status 0
Aug 14 17:37:46-816819 taler-merchant-httpd-2120571(FSYCN4GS9PKEKN67KKGE06P5T0) INFO Handling request (GET) for URL '/orders/2020.227-02819GC5925E0'
Aug 14 17:37:46-817469 taler-merchant-httpd-2120571(FSYCN4GS9PKEKN67KKGE06P5T0) INFO Unknown order id given: `2020.227-02819GC5925E0'
Additional InformationInstall wallet, go to packages/taler-integrationtest, run

  ./testrunner 'test-paywall-flow'

(logs are in vim /tmp/taler-integrationtest-current)
TagsNo tags attached.

Activities

Florian Dold

2020-08-18 09:37

manager   ~0016645

Last edited: 2020-08-18 09:51

View 2 revisions

We're almost there.

The (last?) remaining issue is that the already_paid_order_id is not returned when checking the

  /orders/{second_order_id}?token=...&session_id={mysession-three}

even though the request

  /private/orders/{first_order_id}?session_id={mysession-three}

clearly indicates that the wallet correctly re-paid for the first_order_id under "mysession-three".

(And the test also checks that with a different session ID, the /private/orders/{first_order_id} does *not* return paid. So the proof of payment definitely happens under "mysession-three".)

Florian Dold

2020-08-18 16:38

manager   ~0016656

Fixed in https://git.taler.net/merchant.git/commit/?id=f90d0e3aab659614c6cb0c32506220ad4a369cde

Issue History

Date Modified Username Field Change
2020-08-14 14:16 Florian Dold New Issue
2020-08-14 14:16 Florian Dold Status new => assigned
2020-08-14 14:16 Florian Dold Assigned To => jonathanbuchanan
2020-08-18 09:37 Florian Dold Note Added: 0016645
2020-08-18 09:51 Florian Dold Note Edited: 0016645 View Revisions
2020-08-18 16:37 Florian Dold Assigned To jonathanbuchanan => Florian Dold
2020-08-18 16:38 Florian Dold Note Added: 0016656
2020-08-18 16:38 Florian Dold Status assigned => resolved
2020-08-18 16:38 Florian Dold Resolution open => fixed
2020-10-03 14:09 Christian Grothoff Fixed in Version => 0.8
2020-10-03 14:10 Christian Grothoff Target Version => 0.8